Foxit PDF SDK

Instance Methods | Properties | List of all members
FSMenuItemEx Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithMenu_item:
| Constructor, with another menu item object. More...
(void) | - set:return_name:is_checked:is_enabled:sub_menu_item_array:
| Set values. More...

## Properties
BOOL | is_checked
| A boolean value which indicates whether the menu item is to be marked as checked. More...
BOOL | is_enabled
| A boolean value which indicates whether the menu item is to appear enabled or grayed out. More...
NSString * | item_name
| The menu item name, which is the string to appear on the menu item. The value of "-" is reserved to draw a separator line in the menu.
NSString * | return_name
| A string to be returned when the menu item is selected. The default is the value of item name.
FSMenuItemExArray * | sub_menu_item_array
| The sub menu item array.

## Detailed Description

This class represents menu item.

## Method Documentation

## ◆ initWithMenu_item:()

- (id) initWithMenu_item: |  | (FSMenuItemEx*) | menu_item |

Constructor, with another menu item object.

Parameters

  [in] | menu_item | Another menu item object.

## ◆ set:return_name:is_checked:is_enabled:sub_menu_item_array:()

- (void) set: |  | (NSString *) | item_name
return_name: |  | (NSString *) | return_name
is_checked: |  | (BOOL) | is_checked
is_enabled: |  | (BOOL) | is_enabled
sub_menu_item_array: |  | (FSMenuItemExArray*) | sub_menu_item_array

Set values.

Parameters

  [in] | item_name | The menu item name, which is the string to appear on the menu item.
  [in] | return_name | A string to be returned when the menu item is selected.
  [in] | is_checked | A boolean value which indicates whether the menu item is to be marked as checked.
  [in] | is_enabled | A boolean value which indicates whether the menu item is to appear enabled or grayed out.
  [in] | sub_menu_item_array | The sub menu item array.

Returns
  None.

## Property Documentation

## ◆ is_checked

- (BOOL) is_checked
| read write nonatomic assign

A boolean value which indicates whether the menu item is to be marked as checked.

YES means that the menu item is to be marked as checked, while NO means that the menu item is not to be marked as checked.

## ◆ is_enabled

- (BOOL) is_enabled
| read write nonatomic assign

A boolean value which indicates whether the menu item is to appear enabled or grayed out.

YES means that the menu item is to appear enabled, while NO means that the menu item is to appear grayed out.